# frozen_string_literal: true

require 'apiphobic/middleware/configuration'

module  Apiphobic
module  Middleware
module  Configurable
  module ClassMethods
    def configure
      yield configuration
    end

    def configuration
      ::Apiphobic::Middleware::Configuration.instance
    end
  end

  def self.included(base)
    base.extend(ClassMethods)
  end

  def configuration
    ::Apiphobic::Middleware::Configuration.instance
  end
end
end
end
